> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Deduction Template

> Retrieve a single employee deduction template by its deductionTemplateID.

Returns a single Employee Deduction Template object identified by its `deductionTemplateID`.

The Employee Deduction Template object contains the following fields:

| attribute                          | type          | description                                                                                                                                                                         |
| ---------------------------------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| deductionTemplateID                | string        | ID of this template.                                                                                                                                                                |
| companyID                          | string        | ID of the company related to this template.                                                                                                                                         |
| employeeID                         | string        | ID of the employee related to this template.                                                                                                                                        |
| custom\_name                       | string        | Human-readable name for the deduction template.                                                                                                                                     |
| deduction\_type                    | string (enum) | One of `401k`, `403b`, `dependent_care_benefit`, `employer_sponsored_health_coverage`, `garnishment`, `hsa`, `miscellaneous`, `roth_401k`, `roth_ira`, `section_125`, `simple_ira`. |
| effective\_start\_date             | string (date) | Date the template starts becoming effective.                                                                                                                                        |
| employee\_contribution\_amount     | number        | Default dollar amount contributed by the employee for deductions.                                                                                                                   |
| employer\_contribution\_percentage | number        | Default percentage of the employee's pay contributed for deductions.                                                                                                                |
| external\_id                       | string        | ID in an external system related to the template.                                                                                                                                   |


## OpenAPI

````yaml openapi/zeal-api.json get /employee-deduction-templates/{deductionTemplateID}
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employee-deduction-templates/{deductionTemplateID}:
    get:
      description: >-
        Returns a single Employee Deduction Template object identified by its
        deductionTemplateID.
      parameters:
        - name: deductionTemplateID
          in: path
          description: ID of this template
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{32}$
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    description: The Employee Deduction Template object
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````